%define api3		2.90
%define lib3_major	9
%define lib3_name	%mklibname vte 2_90 %{lib3_major}
%define gir3name	%mklibname vte-gir %{api3}
%define develname3	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte3
Version:	0.32.1
Release:	%mkrel 1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
# See https://bugzilla.gnome.org/show_bug.cgi?id=663779
Patch0:		vte-0.31.0-gtk32-meta-map.patch
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{lib3_name}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{lib3_name}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname3}
Summary:	Files needed for developing applications which use VTE
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires: 	%{lib3_name} = %{version}-%release

%description -n %{develname3}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%package -n %{gir3name}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{lib3_name} = %{version}-%{release}
Conflicts:	%{lib3_name} < 0.28.1-2

%description -n %{gir3name}
GObject Introspection interface description for vte with GTK+ 3.0.

%prep
%setup -qn vte-%{version}
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libdir}/%{name} \
	--enable-gtk-doc \
	--enable-introspection
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete
%find_lang vte-%{api3}

%files -f vte-%{api3}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte2_90
%dir %{_libdir}/%{name}
%attr(2711,root,utmp) %{_libdir}/%{name}/gnome-pty-helper

%files -n %{lib3_name}
%{_libdir}/libvte2_90.so.%{lib3_major}*

%files -n %{gir3name}
%{_libdir}/girepository-1.0/Vte-%{api3}.typelib

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/vte-%{api3}
%{_includedir}/vte-%{api3}
%{_libdir}/libvte2_90.so
%{_libdir}/pkgconfig/vte-%{api3}.pc
%{_datadir}/gir-1.0/Vte-%{api3}.gir


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 0.32.1-1.mga2
+ Revision: 231107
- new version 0.32.1

* Wed Mar 21 2012 ovitters <ovitters> 0.32.0-1.mga2
+ Revision: 225481
- clean spec
- update file list
- new version 0.32.0
- drop merged patch

* Thu Mar 08 2012 colin <colin> 0.31.0-3.mga2
+ Revision: 221411
- Require ncurses for tgetent
- Fix mouse scrolling after latest gtk+ (bgo#671305)

* Tue Nov 22 2011 wally <wally> 0.31.0-2.mga2
+ Revision: 170930
- add P0 to fix Alt+key combinations not working (bgo#663779)

* Mon Nov 21 2011 wally <wally> 0.31.0-1.mga2
+ Revision: 170468
- new version 0.31.0
- clean .spec a bit

* Mon Oct 17 2011 fwang <fwang> 0.30.1-1.mga2
+ Revision: 155712
- new version 0.30.1

* Mon Sep 26 2011 fwang <fwang> 0.30.0-1.mga2
+ Revision: 148646
- new version 0.30.0

* Sat Sep 17 2011 fwang <fwang> 0.29.1-1.mga2
+ Revision: 144493
- fix req
- commit sha1
- 0.29.1: gtk3-only
- Created package structure for vte3.

